Skip to content

iF returns - Logistic API (1.4.3)

API to allow the integration with merchants

Download OpenAPI description
Overview
Languages
Servers
Mock server
https://docs.ifreturns.com/_mock/apis/returns
Development Server
https://api.dev.ifreturns.com/integration/v1
Staging Server
https://api.stg.ifreturns.com/integration/v1
Production Server
https://api.ifreturns.com/integration/v1

integration with merchants

Operations
Operations

Request

Cancel an existing return request. This operation changes the return status to DISCARDED when the transition is allowed by business rules.

Security
bearerAuth
Path
return_idstring(uuid)required

ID of the return request

Example: 8e1b8c92-37a9-44c6-952a-b86bce1d8cfb
Bodyapplication/json
reasonstring

Reason code or short reason to cancel the return request

Example: "duplicated_request"
curl -i -X POST \
  https://docs.ifreturns.com/_mock/apis/returns/returns/8e1b8c92-37a9-44c6-952a-b86bce1d8cfb/cancel \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "reason": "duplicated_request"
  }'

Responses

Successful operation

Bodyapplication/json
statusCodestring
Example: "200"
descriptionstring
Example: "The return has been cancelled correctly"
returnobject
Response
application/json
{ "statusCode": "200", "description": "The return has been cancelled correctly", "return": { "id": "8e1b8c92-37a9-44c6-952a-b86bce1d8cfb" } }
Operations
Operations
Operations
Operations
Operations